<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.7" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structimage__trailer" kind="struct" prot="public">
    <compoundname>image_trailer</compoundname>
      <sectiondef kind="public-attrib">
      <memberdef id="structimage__trailer_1ab320afc5ad7e0b6ebebabde87996552f" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t image_trailer::swap_type</definition>
        <argsstring />
        <name>swap_type</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/include/bootutil/bootutil.h" bodystart="59" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/include/bootutil/bootutil.h" line="59" />
      </memberdef>
      <memberdef id="structimage__trailer_1a2d00426fe8a55646caea76be7957f5b5" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t image_trailer::pad1[BOOT_MAX_ALIGN-1]</definition>
        <argsstring>[BOOT_MAX_ALIGN-1]</argsstring>
        <name>pad1</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/include/bootutil/bootutil.h" bodystart="60" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/include/bootutil/bootutil.h" line="60" />
      </memberdef>
      <memberdef id="structimage__trailer_1a471b23eb92213e177e0d104031777173" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t image_trailer::copy_done</definition>
        <argsstring />
        <name>copy_done</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/include/bootutil/bootutil.h" bodystart="61" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/include/bootutil/bootutil.h" line="61" />
      </memberdef>
      <memberdef id="structimage__trailer_1a352ba1efbbc61033d24574282ce21689" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t image_trailer::pad2[BOOT_MAX_ALIGN-1]</definition>
        <argsstring>[BOOT_MAX_ALIGN-1]</argsstring>
        <name>pad2</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/include/bootutil/bootutil.h" bodystart="62" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/include/bootutil/bootutil.h" line="62" />
      </memberdef>
      <memberdef id="structimage__trailer_1a837ee6fb3615e49b9a87b802b1ecb677" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t image_trailer::image_ok</definition>
        <argsstring />
        <name>image_ok</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/include/bootutil/bootutil.h" bodystart="63" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/include/bootutil/bootutil.h" line="63" />
      </memberdef>
      <memberdef id="structimage__trailer_1abf7bdba32f877932c67ae09b3ce08b40" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t image_trailer::pad3[BOOT_MAX_ALIGN-1]</definition>
        <argsstring>[BOOT_MAX_ALIGN-1]</argsstring>
        <name>pad3</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/include/bootutil/bootutil.h" bodystart="64" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/include/bootutil/bootutil.h" line="64" />
      </memberdef>
      <memberdef id="structimage__trailer_1a0f9f7225f46fefff01d90d3dee65c685" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t image_trailer::magic[16]</definition>
        <argsstring>[16]</argsstring>
        <name>magic</name>
        <briefdescription>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/include/bootutil/bootutil.h" bodystart="65" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/include/bootutil/bootutil.h" line="65" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="66" bodyfile="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/include/bootutil/bootutil.h" bodystart="58" column="1" file="/var/tmp/gitlab-runner1/builds/mV2grwDe/0/repo/anycloud-ota/source/mcuboot/bootutil/include/bootutil/bootutil.h" line="58" />
    <listofallmembers>
      <member prot="public" refid="structimage__trailer_1a471b23eb92213e177e0d104031777173" virt="non-virtual"><scope>image_trailer</scope><name>copy_done</name></member>
      <member prot="public" refid="structimage__trailer_1a837ee6fb3615e49b9a87b802b1ecb677" virt="non-virtual"><scope>image_trailer</scope><name>image_ok</name></member>
      <member prot="public" refid="structimage__trailer_1a0f9f7225f46fefff01d90d3dee65c685" virt="non-virtual"><scope>image_trailer</scope><name>magic</name></member>
      <member prot="public" refid="structimage__trailer_1a2d00426fe8a55646caea76be7957f5b5" virt="non-virtual"><scope>image_trailer</scope><name>pad1</name></member>
      <member prot="public" refid="structimage__trailer_1a352ba1efbbc61033d24574282ce21689" virt="non-virtual"><scope>image_trailer</scope><name>pad2</name></member>
      <member prot="public" refid="structimage__trailer_1abf7bdba32f877932c67ae09b3ce08b40" virt="non-virtual"><scope>image_trailer</scope><name>pad3</name></member>
      <member prot="public" refid="structimage__trailer_1ab320afc5ad7e0b6ebebabde87996552f" virt="non-virtual"><scope>image_trailer</scope><name>swap_type</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>